For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • POSTCalculate fees
      • POSTCalculate payment timing
Logo
Sign inBook a demo
API ReferenceCalculate

Calculate payment timing

POST
https://api.mercoa.com/paymentTiming
POST
/paymentTiming
$curl -X POST https://api.mercoa.com/paymentTiming \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "estimatedDeductionDate": "2024-01-02T00:00:00Z",
> "paymentSourceId": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
> "paymentDestinationId": "pm_4794d597-70dc-4fec-b6ec-c5988e759769"
>}'
1{
2 "estimatedProcessingDate": "2024-01-02T00:00:00Z",
3 "businessDays": 3,
4 "estimatedProcessingTime": 3,
5 "estimatedSettlementDate": "2024-01-05T00:00:00Z"
6}
Calculate the estimated payment timing given the deduction date, payment source, and disbursement method. Can be used to calculate timing for a payment.
Was this page helpful?
Previous

Get All

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
Estimated TimingobjectRequired
OR
Invoice TimingobjectRequired

Response

This endpoint returns an object.
estimatedProcessingDatedatetime
Estimated date the payment will be or was processed.
businessDaysinteger
Number of business days between the estimated processing date and the estimated settlement date. This does not take into account bank holidays or weekends.
estimatedProcessingTimeinteger
Estimated payment time in days. This time takes into account bank holidays and weekends.
estimatedSettlementDatedatetime
Estimated date the payment will be or was settled. This is the same as the request's deductionDate plus the paymentTiming.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented